# Interface ITablePropertiesOptions

#### Hierarchy

- ITablePropertiesOptions

- Defined in src/file/table/table-properties/table-properties.ts:34

#####
Index

### Properties

alignment?
borders?
cellMargin?
float?
indent?
layout?
shading?
style?
visuallyRightToLeft?
width?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

- Defined in src/file/table/table-properties/table-properties.ts:42

### `Optional` `Readonly` borders

borders?: ITableBordersOptions

- Defined in src/file/table/table-properties/table-properties.ts:38

### `Optional` `Readonly` cellMargin

cellMargin?: ITableCellMarginOptions

- Defined in src/file/table/table-properties/table-properties.ts:43

### `Optional` `Readonly` float

float?: ITableFloatOptions

- Defined in src/file/table/table-properties/table-properties.ts:39

### `Optional` `Readonly` indent

indent?: ITableWidthProperties

- Defined in src/file/table/table-properties/table-properties.ts:36

### `Optional` `Readonly` layout

layout?: TableLayoutType

- Defined in src/file/table/table-properties/table-properties.ts:37

### `Optional` `Readonly` shading

shading?: IShadingAttributesProperties

- Defined in src/file/table/table-properties/table-properties.ts:40

### `Optional` `Readonly` style

style?: string

- Defined in src/file/table/table-properties/table-properties.ts:41

### `Optional` `Readonly` visuallyRightToLeft

visuallyRightToLeft?: boolean

- Defined in src/file/table/table-properties/table-properties.ts:44

### `Optional` `Readonly` width

width?: ITableWidthProperties

- Defined in src/file/table/table-properties/table-properties.ts:35

Generated using TypeDoc